Financials (real-time)
Get Financials Run
Retrieve typed status for a financial statements run.
Authorization
api_key X-API-Key<token>
Sign up at Kausate.com to get an API key
In: header
Path Parameters
orderId*string
Financials run ID
Query Parameters
customerId?|
Optional customer ID for validation
Header Parameters
Kausate-Version?string
Default
"2026-05-01"Format
dateResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.kausate.com/v2/companies/finance/string" \ -H "Kausate-Version: 2026-05-01"{
"orderId": "string",
"kausateId": "string",
"customerReference": "string",
"customerId": "string",
"status": "running",
"requestTime": "2019-08-24T14:15:22Z",
"responseTime": "2019-08-24T14:15:22Z",
"result": {
"type": "financials",
"kausateId": "string",
"statements": [
{
"metadata": {
"periodStart": "string",
"periodEnd": "string",
"filingDate": "string",
"currency": "string",
"consolidated": true,
"audited": true,
"accountingStandard": "IFRS",
"statementType": "annual",
"isMicroEntity": true,
"source": "string"
},
"incomeStatement": {
"revenue": "string",
"otherOperatingIncome": "string",
"totalOperatingIncome": "string",
"costOfGoodsAndServices": "string",
"personnelCosts": "string",
"depreciationAndAmortization": "string",
"otherOperatingExpenses": "string",
"totalOperatingExpenses": "string",
"operatingProfit": "string",
"financialIncome": "string",
"financialExpenses": "string",
"netFinancialResult": "string",
"profitBeforeTax": "string",
"incomeTax": "string",
"profitAfterTax": "string",
"extraordinaryItems": "string",
"minorityInterests": "string"
},
"balanceSheet": {
"intangibleAssets": "string",
"goodwill": "string",
"propertyPlantAndEquipment": "string",
"financialAssets": "string",
"totalNonCurrentAssets": "string",
"inventories": "string",
"tradeReceivables": "string",
"otherReceivables": "string",
"cashAndCashEquivalents": "string",
"otherCurrentAssets": "string",
"totalCurrentAssets": "string",
"totalAssets": "string",
"shareCapital": "string",
"sharePremium": "string",
"retainedEarnings": "string",
"otherReserves": "string",
"totalEquity": "string",
"longTermBorrowings": "string",
"provisions": "string",
"deferredTaxLiabilities": "string",
"otherNonCurrentLiabilities": "string",
"totalNonCurrentLiabilities": "string",
"tradePayables": "string",
"shortTermBorrowings": "string",
"otherCurrentLiabilities": "string",
"totalCurrentLiabilities": "string",
"totalLiabilities": "string"
},
"cashFlowStatement": {
"cashFromOperatingActivities": "string",
"cashFromInvestingActivities": "string",
"cashFromFinancingActivities": "string",
"netChangeInCash": "string",
"exchangeRateEffect": "string",
"cashAtBeginning": "string",
"cashAtEnd": "string"
},
"numberOfEmployees": 0
}
],
"sources": {
"property1": {
"type": "selfDeclaration",
"name": "string",
"jurisdictionCode": "ec",
"retrievalTime": "string",
"downloadUrl": "string",
"fileHash": "string",
"fileName": "string",
"date": {
"original": "string",
"normalized": "string"
}
},
"property2": {
"type": "selfDeclaration",
"name": "string",
"jurisdictionCode": "ec",
"retrievalTime": "string",
"downloadUrl": "string",
"fileHash": "string",
"fileName": "string",
"date": {
"original": "string",
"normalized": "string"
}
}
}
},
"error": "string",
"currentActivity": "string"
}{
"detail": "Invalid company ID format"
}{
"detail": "Invalid API key"
}{
"detail": "Company not found"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}{
"detail": "An internal error occurred"
}Last updated on